summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD4
-rw-r--r--multiencrypt_hook22
3 files changed, 18 insertions, 14 deletions
diff --git a/.SRCINFO b/.SRCINFO
index f0677a9e428..19a0b533a00 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
# Generated by mksrcinfo v8
-# Fri Mar 4 18:38:26 UTC 2016
+# Fri Jun 17 20:51:26 UTC 2016
pkgbase = mkinitcpio-multiencrypt
pkgdesc = Allows to open multiple LUKS containers during boot (optionally using just a single passphrase)
- pkgver = 1.1
+ pkgver = 1.3
pkgrel = 1
url = https://github.com/faulesocke/mkinitcpio-multiencrypt
install = install
@@ -13,7 +13,7 @@ pkgbase = mkinitcpio-multiencrypt
source = multiencrypt_hook
source = multiencrypt_install
source = LICENSE
- sha256sums = 105be328329e6352df601d64982d90d9cea7c8e7e630739bc69f42882c8523c6
+ sha256sums = dd39dbad063ed68512ffbbe3612b1f3d94fec0efa7904d121efe972369dcf33d
sha256sums = 06609a990366c1074b4a694525aa1e741fdb452ee1f1c1aa0f8f5e2c3191c4de
sha256sums = c03cea027b4b40e4402fabd08557736727ec3d5bc54ad64ab6472de432198cad
diff --git a/PKGBUILD b/PKGBUILD
index 342fca1605d..6ef00fc6567 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Faule Socke <github@socker.lepus.uberspace.de>
pkgname=mkinitcpio-multiencrypt
-pkgver=1.1
+pkgver=1.3
pkgrel=1
pkgdesc="Allows to open multiple LUKS containers during boot (optionally using just a single passphrase)"
arch=(any)
@@ -21,7 +21,7 @@ changelog=
source=("multiencrypt_hook"
"multiencrypt_install"
"LICENSE")
-sha256sums=('105be328329e6352df601d64982d90d9cea7c8e7e630739bc69f42882c8523c6'
+sha256sums=('dd39dbad063ed68512ffbbe3612b1f3d94fec0efa7904d121efe972369dcf33d'
'06609a990366c1074b4a694525aa1e741fdb452ee1f1c1aa0f8f5e2c3191c4de'
'c03cea027b4b40e4402fabd08557736727ec3d5bc54ad64ab6472de432198cad')
validpgpkeys=()
diff --git a/multiencrypt_hook b/multiencrypt_hook
index fa401636356..115624ab091 100644
--- a/multiencrypt_hook
+++ b/multiencrypt_hook
@@ -41,24 +41,28 @@ EOF
fi
while ! [ -e "/dev/mapper/${cryptname}" ]; do
- eval cryptsetup open --type luks --test-passphrase ${resolved} ${cryptname} ${cryptargs} >/dev/null 2>/dev/null <<EOF
+ #eval cryptsetup open --type luks --test-passphrase ${resolved} ${cryptname} ${cryptargs} >/dev/null 2>/dev/null <<EOF
+#${pw}
+#EOF
+ if [ -z "$pw" ]; then
+ echo -n "Enter password for ${cryptname}: "
+ read -r -s pw
+ echo ""
+ fi
+
+ eval cryptsetup open --type luks ${resolved} ${cryptname} ${cryptargs} ${CSQUIET} <<EOF
${pw}
EOF
if [ $? -eq 0 ]; then
break
else
- echo -n "Enter password for ${cryptname}: "
- read -r -s pw
- echo ""
+ pw=""
fi
done
- eval cryptsetup open --type luks ${resolved} ${cryptname} ${cryptargs} ${CSQUIET} <<EOF
-${pw}
-EOF
if ! [ -e "/dev/mapper/${cryptname}" ]; then
- err "Password succeeded, but ${cryptname} creation failed, aborting..."
- exit 1
+ err "Password succeeded, but ${cryptname} creation failed, skipping..."
+ continue
fi
done
}